Skip to main content
GET
/
subscriptions
List subscriptions
curl --request GET \
  --url https://api.truust.io/2.0/subscriptions \
  --header 'Authorization: Bearer <token>'
{
  "current_page": 1,
  "last_page": 5,
  "per_page": 15,
  "total": 73,
  "from": 1,
  "to": 15,
  "data": [
    {
      "id": 123,
      "self": "<string>",
      "reference_id": "<string>",
      "name": "<string>",
      "amount": 123,
      "currency": "EUR",
      "type": "<string>",
      "status": "CREATED",
      "metadata": {},
      "published_at": "2023-11-07T05:31:56Z",
      "cancelled_at": "2023-11-07T05:31:56Z",
      "connections": {}
    }
  ]
}

Authorizations

Authorization
string
header
required

Use your account's Secret Key as the Bearer token.

Query Parameters

page
integer
default:1

Page number for pagination.

Required range: x >= 1
per_page
integer
default:15

Number of results per page.

Required range: 1 <= x <= 100
order
string
default:created_at

Field to sort results by.

sort
enum<string>
default:desc

Sort direction.

Available options:
asc,
desc

Response

200 - application/json

Paginated list of subscriptions

current_page
integer
Example:

1

last_page
integer
Example:

5

per_page
integer
Example:

15

total
integer
Example:

73

from
integer
Example:

1

to
integer
Example:

15

data
object[]